// 用于创建vue中核心 store
// 引入Vue
import Vue from "vue";
// 引入vuex
import Vuex from 'vuex'

// 应用Vuex插件
Vue.use(Vuex)

// 准备actions-用于响应组件中的动作,业务逻辑需要写到actions中
const actions = {
    vuexAddOdd(context, value) {
        if (context.state.sum % 2) {
            context.commit('vuexAdd', value)
        }
    },
    vuexAddWait(context, value) {
        setTimeout(() => {
                context.commit('vuexAdd', value)
            }, 1000
        )
    }
}
//准备mutations-用于操作数据
const mutations = {
    vuexAdd(state, value) {
        state.sum += value
    },
    vuexSub(state, value) {
        state.sum -= value
    },
    ADD_PERSON(state, personObj) {
        state.personList.unshift(personObj)
    }
}
//准备state-用于存储数据
const state = {
    sum: 0,
    school: '修仙学院',
    subject: '修仙',
    personList: [
        {id:'001', name:'张三'}
    ]
}

// getters 用于对state中的数据进行加工，类似用computed
const getters = {
    bigSum(state) {
        return state.sum * 10
    }
}

// 创建并导出store
export default new Vuex.Store({
    actions,
    mutations,
    state,
    getters
})
