import VueRouter from "vue-router";

// 引入组件
import About from "@/pages/About.vue"
import Home from "@/pages/Home.vue"
import News from "@/pages/News.vue"
import Message from "@/pages/Message.vue";
import Detail from "@/pages/Detail.vue";

// 创建一个路由器
export default new VueRouter({
    routes: [
        {
            name: 'guanyu',
            path: '/about',
            component: About
        },
        {
            path: '/home',
            component: Home,
            children: [
                {
                    path: 'news',
                    component: News,
                },
                {
                    path: 'message',
                    component: Message,
                    children: [
                        {
                            name: 'xiangqing',
                            path: 'detail/:id/:title',
                            component: Detail,
                            // props的第一种写法，key-val格式，通过props的方式传给detail组件
                            // props: {a:1,b:'hello'}
                            // props的第二种写法，布尔值，若布尔值为真，就会把路由组件收到的params参数以props的形式传给detail
                            // props: true
                            // props的第三种写法，函数形式
                            props($route) {
                                return {
                                    id: $route.query.id,
                                    title: $route.query.title
                                }
                            }
                            // 解构赋值的写法
                            // props({query:{id,title}}) {
                            //     return {id, title}
                            // }
                        }
                    ]
                }
            ]
        },
    ]
})
